Subject: Re: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 17:55:45 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 23 Oct 2015 10:41:34 -0400
> Cc: [email-masked]
> 
> > Another idea woukd be to ask on emacs-devel which versions of
> > Imagemagick do people use who can successfully display that page.
> 
> Will do.
> 
> > I don't.  That's why I thought about building without it.
> 
> OK. Have you felt any reason to ever build with Imagemagick because
> emacs built without it lacked any feature you needed?

No.  I don't have much use for showing images in Emacs.

> > The images on that page are PNG image files.  Can you display PNG
> > image files with an Emacs compiled with Imagemagick support, or does
> > Emacs hang (or crash) with every PNG file?
> 
> You know what, I always thought that I can display PNG files in emacs.
> In the version built with Imagemagick, it even successfully displayed
> a PNG file.
> 
> C-x C-f SOMEFILE.png
> 
> When in the same buffer when I did
> 
> C-x C-f SOMEOTHERFILE.png
> 
> my emacs froze just like in that eww experiment!
> 
> So just the first png displayed fine.

I guess it's time to ask on emacs-devel what versions others use, and
whether they have problems with PNG?